{ pkgs ? import <nixpkgs> { }, lib ? pkgs.lib }:
let
  mcc-env = (pkgs.callPackage ./vendor/compilecommands {}).wrap pkgs.stdenv;
in
(pkgs.mkShell.override { stdenv = mcc-env; }) rec {
  name = "sodium-env";
  buildInputs = with pkgs; [
    cmake
	 gnumake
    assimp
	 SDL2
	 SDL2_ttf
	 SDL2_image
    mangohud
  ];
}

